# Auto-Cream-API

Set your game automatically up for use with CreamAPI.

## Installation

**Make sure you have Java 8 installed.**  
Download the latest release and extract it into any folder (e.g. `%USERPROFILE%\Desktop\auto-cream-api`).

## Usage

* Double-click `auto-cream-api.jar` to open the application. (When starting it for the first time, it might take a few 
seconds since it needs to cache a list of games available on the Steam Store.)
  * Alternatively, open a CMD window in the location of the application, and run it by entering the following:
    ```shell script
    java -jar auto-cream-api.jar
    ```
* Click on the *Folder* (📂) button on the top right and select the *steam_api.dll* or *steam_api64.dll* 
  **in the game folder**.
* Enter the name of the game and click on the *Search* (🔍) button.
  * If it did not find the right game, either try again, or copy the app ID from the Steam Store to field to the right 
    of the *Search* (🔍) button.
* Click the lower left *"Get DLCs for AppID"* button to fetch all available DLCs for the game.
* Select a language and tick the options if needed.
* Click on *"Save"*.