package pojo;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.Objects;

@SuppressWarnings("unused")
public class App {

    @SerializedName("appid")
    @Expose
    private Integer appId;
    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("last_modified")
    @Expose
    private Integer lastModified;
    @SerializedName("price_change_number")
    @Expose
    private Integer priceChangeNumber;

    public Integer getAppId() {
        return appId;
    }

    public void setAppId(Integer appId) {
        this.appId = appId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getLastModified() {
        return lastModified;
    }

    public void setLastModified(Integer lastModified) {
        this.lastModified = lastModified;
    }

    public Integer getPriceChangeNumber() {
        return priceChangeNumber;
    }

    public void setPriceChangeNumber(Integer priceChangeNumber) {
        this.priceChangeNumber = priceChangeNumber;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(App.class.getName()).append('@').append(Integer.toHexString(System.identityHashCode(this))).append('[');
        sb.append("appid");
        sb.append('=');
        sb.append(((this.appId == null)?"<null>":this.appId));
        sb.append(',');
        sb.append("name");
        sb.append('=');
        sb.append(((this.name == null)?"<null>":this.name));
        sb.append(',');
        sb.append("lastModified");
        sb.append('=');
        sb.append(((this.lastModified == null)?"<null>":this.lastModified));
        sb.append(',');
        sb.append("priceChangeNumber");
        sb.append('=');
        sb.append(((this.priceChangeNumber == null)?"<null>":this.priceChangeNumber));
        sb.append(',');
        if (sb.charAt((sb.length()- 1)) == ',') {
            sb.setCharAt((sb.length()- 1), ']');
        } else {
            sb.append(']');
        }
        return sb.toString();
    }

    @Override
    public int hashCode() {
        int result = 1;
        result = ((result* 31)+((this.name == null)? 0 :this.name.hashCode()));
        result = ((result* 31)+((this.lastModified == null)? 0 :this.lastModified.hashCode()));
        result = ((result* 31)+((this.priceChangeNumber == null)? 0 :this.priceChangeNumber.hashCode()));
        result = ((result* 31)+((this.appId == null)? 0 :this.appId.hashCode()));
        return result;
    }

    @Override
    public boolean equals(Object other) {
        if (other == this) {
            return true;
        }
        if (!(other instanceof App)) {
            return false;
        }
        App rhs = ((App) other);
        boolean b1 = Objects.equals(this.name, rhs.name);
        boolean b2 = Objects.equals(this.lastModified, rhs.lastModified);
        boolean b3 = Objects.equals(this.priceChangeNumber, rhs.priceChangeNumber);
        boolean b4 = Objects.equals(this.appId, rhs.appId);
        return b1 && b2 && b3 && b4;
    }

}
